Package htsjdk.samtools.util

# Class ComparableTuple<A extends Comparable<A>,B extends Comparable<B>>

java.lang.Object
htsjdk.samtools.util.Tuple<A,B>
htsjdk.samtools.util.ComparableTuple<A,B>

All Implemented Interfaces:
  `Comparable<ComparableTuple<A,B>>`

public class ComparableTuple<A extends Comparable<A>,B extends Comparable<B>> extends Tuple<A,B> implements Comparable<ComparableTuple<A,B>>
A simple extension of the Tuple class that, for comparable Types, allows comparing Tuples of non-null elements.

The comparison will compare the first arguments and if equal (compareTo returns 0) compare the second arguments.

## Field Summary

### Fields inherited from class htsjdk.samtools.util.Tuple

`a, b`

## Constructor Summary

Constructors
Constructor
Description
`ComparableTuple(A a, B b)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ComparableTuple<A,B> o)`

### Methods inherited from class htsjdk.samtools.util.Tuple

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ComparableTuple

public ComparableTuple(A a, B b)

## Method Details

### compareTo

public int compareTo(ComparableTuple<A,B> o)

Specified by:
  `compareTo` in interface `Comparable<A extends Comparable<A>>`